Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StickerSetInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StickerSetInfo

Enclosing class:
  TdApi

public static final class TdApi.StickerSetInfo extends TdApi.Object
Represents short information about a sticker set.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.Sticker[]`
`covers`
Up to the first 5 stickers from the set, depending on the context.
`long`
`id`
Identifier of the sticker set.
`boolean`
`isAnimated`
True, is the stickers in the set are animated.
`boolean`
`isArchived`
True, if the sticker set has been archived.
`boolean`
`isInstalled`
True, if the sticker set has been installed by the current user.
`boolean`
`isMasks`
True, if the stickers in the set are masks.
`boolean`
`isOfficial`
True, if the sticker set is official.
`boolean`
`isViewed`
True for already viewed trending sticker sets.
`String`
`name`
Name of the sticker set.
`int`
`size`
Total number of stickers in the set.
`TdApi.Thumbnail`
`thumbnail`
Sticker set thumbnail in WEBP or TGS format with width and height 100; may be null.
`TdApi.ClosedVectorPath[]`
`thumbnailOutline`
Sticker set thumbnail's outline represented as a list of closed vector paths; may be empty.
`String`
`title`
Title of the sticker set.

## Constructor Summary

Constructors
Constructor
Description
`StickerSetInfo()`
Represents short information about a sticker set.
`StickerSetInfo(long id, String title, String name, TdApi.Thumbnail thumbnail, TdApi.ClosedVectorPath[] thumbnailOutline, boolean isInstalled, boolean isArchived, boolean isOfficial, boolean isAnimated, boolean isMasks, boolean isViewed, int size, TdApi.Sticker[] covers)`
Represents short information about a sticker set.
`StickerSetInfo(DataInput input)`
Represents short information about a sticker set.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Identifier of the sticker set.

### title

public String title
Title of the sticker set.

### name

public String name
Name of the sticker set.

### thumbnail

public TdApi.Thumbnail thumbnail
Sticker set thumbnail in WEBP or TGS format with width and height 100; may be null.

### thumbnailOutline

public TdApi.ClosedVectorPath[] thumbnailOutline
Sticker set thumbnail's outline represented as a list of closed vector paths; may be empty. The coordinate system origin is in the upper-left corner.

### isInstalled

public boolean isInstalled
True, if the sticker set has been installed by the current user.

### isArchived

public boolean isArchived
True, if the sticker set has been archived. A sticker set can't be installed and archived simultaneously.

### isOfficial

public boolean isOfficial
True, if the sticker set is official.

### isAnimated

public boolean isAnimated
True, is the stickers in the set are animated.

### isMasks

public boolean isMasks
True, if the stickers in the set are masks.

### isViewed

public boolean isViewed
True for already viewed trending sticker sets.

### size

public int size
Total number of stickers in the set.

### covers

public TdApi.Sticker[] covers
Up to the first 5 stickers from the set, depending on the context. If the application needs more stickers the full sticker set needs to be requested.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### StickerSetInfo

public StickerSetInfo()
Represents short information about a sticker set.

### StickerSetInfo

public StickerSetInfo(long id, String title, String name, TdApi.Thumbnail thumbnail, TdApi.ClosedVectorPath[] thumbnailOutline, boolean isInstalled, boolean isArchived, boolean isOfficial, boolean isAnimated, boolean isMasks, boolean isViewed, int size, TdApi.Sticker[] covers)
Represents short information about a sticker set.

Parameters:
  `id` - long Identifier of the sticker set.
  `title` - String Title of the sticker set.
  `name` - String Name of the sticker set.
  `thumbnail` - Thumbnail Sticker set thumbnail in WEBP or TGS format with width and height 100; may be null.
  `thumbnailOutline` - ClosedVectorPath[] Sticker set thumbnail's outline represented as a list of closed vector paths; may be empty. The coordinate system origin is in the upper-left corner.
  `isInstalled` - boolean True, if the sticker set has been installed by the current user.
  `isArchived` - boolean True, if the sticker set has been archived. A sticker set can't be installed and archived simultaneously.
  `isOfficial` - boolean True, if the sticker set is official.
  `isAnimated` - boolean True, is the stickers in the set are animated.
  `isMasks` - boolean True, if the stickers in the set are masks.
  `isViewed` - boolean True for already viewed trending sticker sets.
  `size` - int Total number of stickers in the set.
  `covers` - Sticker[] Up to the first 5 stickers from the set, depending on the context. If the application needs more stickers the full sticker set needs to be requested.

### StickerSetInfo

public StickerSetInfo(DataInput input) throws IOException
Represents short information about a sticker set.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`